Error on One-Shot Acquisition
05/27/2015 09:01 AM - Chip Edstrom

Status: Accepted Start date: 05/27/2015
Priority: High Due date:

Assignee: John Diamond % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Now instead of a .gz error every time we take a one-shot, another error posts. Most recently we've been seeing
java.lang.NullPointerException errors.

History

#1 - 05/27/2015 09:05 AM - Chip Edstrom
- File CNS63PC20150527090420.png added

Attached is a screen capture of the error seen recently.
#2 - 05/27/2015 08:00 PM - John Diamond
Thanks for the screen shot - that tells me where it's happening, but I'm having trouble reproducing the error on my machine in Eclipse, as Java

web-start and through cnsrun. Could you provide me with more context? Does this happen consistently every time (like the previous .gz problem)?

#3 - 06/01/2015 04:55 PM - John Diamond

- Status changed from New to Accepted

An attempt to fix the original .gz issue was to use Java NIO instead of the streams library to download the tar-ball. I've reverted to using the streams
library hoping that will solve this issue (I am still unable to reproduce). Builds are on hold for the rest of the day. The fix should get deployed
tomorrow morning. Let me know if it helps.
